> ## Documentation Index
> Fetch the complete documentation index at: https://developer.bron.org/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Transaction Events

> <sup>API Key permissions: View only, Transaction Operator, Full Access</sup>



## OpenAPI

````yaml /bron-open-api-public.json get /workspaces/{workspaceId}/transactions/{transactionId}/events
openapi: 3.1.1
info:
  description: >-
    Bron API is based on the RESTish interface provided for data exchange
    between a client and a server with the use of HTTPS requests and responses.
  title: Bron API
  version: latest
  x-bron-formats:
    bigint: Arbitrary-precision integer encoded as a JSON string.
    date-time-millis: >-
      Epoch milliseconds (UTC) encoded as a JSON string. Convert with `new
      Date(parseInt(value))` or equivalent.
    decimal: Arbitrary-precision decimal encoded as a JSON string.
    int32: 32-bit integer encoded as a JSON string.
    int64: >-
      Long integer encoded as a JSON string to preserve precision (e.g. account
      IDs).
servers:
  - description: app.bron.org
    url: https://api.bron.org
security: []
tags:
  - name: stake
  - name: balances
  - name: addresses
  - name: intents
  - name: assets
  - name: transaction-limits
  - name: canton
  - name: address-book
  - name: workspaces
  - name: accounts
  - name: transactions
paths:
  /workspaces/{workspaceId}/transactions/{transactionId}/events:
    get:
      tags:
        - transactions
      summary: Get Transaction Events
      description: >-
        <sup>API Key permissions: View only, Transaction Operator, Full
        Access</sup>
      parameters:
        - in: path
          name: workspaceId
          required: true
          schema:
            type: string
        - in: path
          name: transactionId
          required: true
          schema:
            type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/TransactionEvents'
          description: OK
        '400':
          content:
            application/json:
              schema:
                properties:
                  error:
                    description: The machine-readable error code
                    examples:
                      - bad-request
                    type: string
                  message:
                    description: >-
                      A human-readable message providing more details about the
                      error
                    type: string
                type: object
          description: Bad Request
        '403':
          content:
            application/json:
              schema:
                properties:
                  error:
                    description: The machine-readable error code
                    examples:
                      - forbidden
                    type: string
                  message:
                    description: >-
                      A human-readable message providing more details about the
                      error
                    type: string
                type: object
          description: Forbidden
        '409':
          content:
            application/json:
              schema:
                properties:
                  error:
                    description: The machine-readable error code
                    examples:
                      - conflict
                    type: string
                  message:
                    description: >-
                      A human-readable message providing more details about the
                      error
                    type: string
                type: object
          description: Conflict
components:
  schemas:
    TransactionEvents:
      properties:
        events:
          items:
            $ref: '#/components/schemas/TransactionEvent'
          type: array
      required:
        - events
      type: object
    TransactionEvent:
      properties:
        accountId:
          description: Account ID
          type: string
        accountType:
          $ref: '#/components/schemas/AccountType'
          description: Account Type. [See details](/enums/AccountType)
        amount:
          description: Amount
          format: decimal
          type: string
        assetId:
          description: Asset ID
          type: string
        blockchainTxId:
          description: Blockchain transaction hash ID
          type: string
        createdAt:
          description: Created at
          format: date-time-millis
          type: string
        eventId:
          description: Event ID
          type: string
        eventType:
          $ref: '#/components/schemas/EventType'
          description: Event type. [See details](/enums/EventType)
        extra:
          $ref: '#/components/schemas/EventExtra'
          description: Extra
        networkId:
          description: Network ID
          type: string
        symbol:
          description: Symbol
          type: string
        transactionId:
          description: Transaction ID
          type: string
        usdAmount:
          description: Total approximate amount in USD
          format: decimal
          type: string
        workspaceId:
          description: Workspace ID
          type: string
      required:
        - eventId
        - transactionId
        - accountId
        - accountType
        - workspaceId
        - eventType
        - assetId
        - createdAt
      type: object
    AccountType:
      enum:
        - vault
      type: string
    EventType:
      enum:
        - in
        - out
        - fee
        - negative-deposit
        - stake-deposit
        - stake-delegation
        - stake-undelegation
        - stake-withdrawn
        - stake-earn-reward
        - stake-reward-accrued
        - stake-pool-created
        - stake-pool-unjailed
        - stake-transferred
        - allowance
        - nft-in
        - nft-out
        - nft-allowance
        - loyalty-lock
        - loyalty-unlock
        - loyalty-reward
        - canton-reward
        - message-signed
        - deposit-offer
      type: string
    EventExtra:
      properties:
        allowance:
          description: >-
            For 'allowance' event. Specify to which address allowance was
            granted
          items:
            $ref: '#/components/schemas/EventAllowance'
          type: array
        in:
          description: For 'in' event. Specify from which address the funds are transferred
          items:
            $ref: '#/components/schemas/EventInput'
          type: array
        out:
          description: For 'out' event. Specify to which address the funds are transferred
          items:
            $ref: '#/components/schemas/EventOutput'
          type: array
        rewardInfo:
          $ref: '#/components/schemas/StakeRewardInfo'
          description: Detail information for earn reward.
        signingMessage:
          $ref: '#/components/schemas/SigningMessage'
          description: Detail information about signing message
        stakeInfo:
          description: 'Detail information for ''stake'' operations. '
          items:
            $ref: '#/components/schemas/EventStakeInfo'
          type: array
        transactionFailed:
          description: >-
            If transaction was added to block, but transaction execution failed
            (e.g. smart contract execution failed)
          type: boolean
        walletStateInit:
          description: >-
            TON-only. Base64 BoC of the wallet contract StateInit, required for
            TonConnect proof verification
          type: string
      type: object
    EventAllowance:
      properties:
        address:
          description: Allowance address
          type: string
        amount:
          description: Allowance amount
          format: decimal
          type: string
        networkId:
          description: Allowance network ID
          type: string
        unlimited:
          description: >-
            Allowance unlimited flag. If true then allowance is unlimited,
            amount will be ignored
          type: boolean
      type: object
    EventInput:
      properties:
        address:
          description: Address
          type: string
        amount:
          description: Amount in event's asset units
          format: decimal
          type: string
        fromAccountId:
          description: Account ID where assets were sent from
          type: string
        fromAddressBookRecordId:
          description: Address Book Record ID where assets were sent from
          type: string
        networkId:
          description: Network ID
          type: string
      type: object
    EventOutput:
      properties:
        address:
          description: Address
          type: string
        amount:
          description: Amount in event's asset units
          format: decimal
          type: string
        memo:
          description: Address memo
          type: string
        networkId:
          description: Network ID
          type: string
        toAccountId:
          description: Account ID where assets were sent to
          type: string
        toAddressBookRecordId:
          description: Address Book Record ID where assets were sent to
          type: string
      type: object
    StakeRewardInfo:
      properties: {}
      type: object
    SigningMessage:
      properties:
        message:
          description: Signing message
          type: string
        version:
          description: Message version
          type: string
      required:
        - message
      type: object
    EventStakeInfo:
      properties: {}
      type: object

````